
Figure - Bug #118631
Bug # 118622 (CLOSED): 【AF】【EVT3】【实车】系统卡顿

【AF】【EVT3】【实车】系统卡顿， tlogdshc不断重启和被杀
2023-06-07 21:40 - CD FW 曹覃刚

Status: RESOLVED Start date: 2023-06-07

Priority: High Due date:

Assignee: CD TPM-王祥林 % Done: 100%

Category: 卡顿 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: INVALID Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: system组分析，不是问题

Description

【现象】

副屏所有的应用包括预置应用点击进入都很卡顿 响应时间长甚至无效

Related issues:

Related to Figure - Bug # 118571: IOVDEV-32876【内部】【VC1】【0... CLOSED 2023-06-06

History

#1 - 2023-06-07 21:42 - CD FW 曹覃刚

Hi 胡兵

15:23开始到日志结束, tlogdshc不断重启和被杀，请帮忙看一下这问题，谢谢

---------------------

log(1).txt:1067: 06-07 15:23:28.779 0 0 I [ 126.157248] init: processing action (sys.tlog.tlogdshc.active=1) from (/system/etc/init/tlogd.rc:195)

log(1).txt:1068: 06-07 15:23:28.780 0 0 I [ 126.158216] init: starting service 'tlogdshc'...

log(1).txt:1069: 06-07 15:23:28.891 0 0 I [ 126.271878] init: Service 'tlogdshc' (pid 7291) exited with status 0 oneshot service took 0.107000 seconds in background

log(1).txt:1070: 06-07 15:23:28.891 0 0 I [ 126.271910] init: Sending signal 9 to service 'tlogdshc' (pid 7291) process group...

log(1).txt:1071: 06-07 15:23:28.891 0 0 I [ 126.272160] libprocessgroup: Successfully killed process cgroup uid 0 pid 7291 in 0ms

log(1).txt:1155: 06-07 15:23:58.784 0 0 I [ 156.158010] init: processing action (sys.tlog.tlogdshc.active=1) from (/system/etc/init/tlogd.rc:195)

log(1).txt:1156: 06-07 15:23:58.784 0 0 I [ 156.158559] init: starting service 'tlogdshc'...

log(1).txt:1157: 06-07 15:23:58.887 0 0 I [ 156.265766] init: Service 'tlogdshc' (pid 7644) exited with status 0 oneshot service took 0.103000 seconds in background

log(1).txt:1158: 06-07 15:23:58.887 0 0 I [ 156.265798] init: Sending signal 9 to service 'tlogdshc' (pid 7644) process group...

log(1).txt:1159: 06-07 15:23:58.887 0 0 I [ 156.266012] libprocessgroup: Successfully killed process cgroup uid 0 pid 7644 in 0ms

log(1).txt:1264: 06-07 15:24:28.793 0 0 I [ 186.171156] init: processing action (sys.tlog.tlogdshc.active=1) from (/system/etc/init/tlogd.rc:195)

log(1).txt:1265: 06-07 15:24:28.793 0 0 I [ 186.172268] init: starting service 'tlogdshc'...

log(1).txt:1266: 06-07 15:24:28.915 0 0 I [ 186.293851] init: Service 'tlogdshc' (pid 7963) exited with status 0 oneshot service took 0.115000 seconds in background

log(1).txt:1267: 06-07 15:24:28.915 0 0 I [ 186.293877] init: Sending signal 9 to service 'tlogdshc' (pid 7963) process group...

log(1).txt:1268: 06-07 15:24:28.915 0 0 I [ 186.294029] libprocessgroup: Successfully killed process cgroup uid 0 pid 7963 in 0ms

log(1).txt:1507: 06-07 15:24:58.805 0 0 I [ 216.172089] init: processing action (sys.tlog.tlogdshc.active=1) from (/system/etc/init/tlogd.rc:195)

log(1).txt:1508: 06-07 15:24:58.805 0 0 I [ 216.172842] init: starting service 'tlogdshc'...

log(1).txt:1509: 06-07 15:24:58.913 0 0 I [ 216.280374] init: Service 'tlogdshc' (pid 8253) exited with status 0 oneshot service took 0.103000 seconds in background

log(1).txt:1510: 06-07 15:24:58.913 0 0 I [ 216.280400] init: Sending signal 9 to service 'tlogdshc' (pid 8253) process group...

log(1).txt:1511: 06-07 15:24:58.913 0 0 I [ 216.280561] libprocessgroup: Successfully killed process cgroup uid 0 pid 8253 in 0ms

log(1).txt:1625: 06-07 15:25:28.811 0 0 I [ 246.178136] init: processing action (sys.tlog.tlogdshc.active=1) from (/system/etc/init/tlogd.rc:195)

log(1).txt:1626: 06-07 15:25:28.811 0 0 I [ 246.178588] init: starting service 'tlogdshc'...

log(1).txt:1627: 06-07 15:25:28.925 0 0 I [ 246.293379] init: Service 'tlogdshc' (pid 8457) exited with status 0 oneshot service took 0.112000 seconds in background

log(1).txt:1628: 06-07 15:25:28.925 0 0 I [ 246.293411] init: Sending signal 9 to service 'tlogdshc' (pid 8457) process group...
log(1).txt:1629: 06-07 15:25:28.925 0 0 I [ 246.293621] libprocessgroup: Successfully killed process cgroup uid 0 pid 8457 in 0ms

---------------------

#2 - 2023-06-08 14:39 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CD FW 曹覃刚

Hi 覃刚

tlogdshc是增加记录中断次数的进程，属于oneshot，30s会触发一次，执行完后就停止

188 service tlogdshc /vendor/bin/tlogd.sh -c

189     class main

190     user root

191     group root

192     oneshot

193     disabled

194 

195 on property:sys.tlog.tlogdshc.active=1

196     start tlogdshc

197     setprop sys.tlog.tlogdshc.active 0

#3 - 2023-06-08 15:56 - CDTS-TEST 周婷

- Category set to 卡顿

#4 - 2023-06-08 21:29 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to INVALID

- Degrated changed from -- to No

- Root cause set to system组分析，不是问题

#5 - 2023-08-24 17:20 - CDTS_TEST 王成

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD TPM-王祥林

需要跟进处理

#6 - 2023-11-08 15:57 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

此票为 #118622 的子票，该问题已被修复关闭

此票没有AI，关闭此票
